﻿@* DXCOMMENT: Configure GridView *@
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;

@Html.DevExpress().GridView(
    settings =>
    {
        settings.Name = "Gv_BUYER";
        settings.KeyFieldName = "BUYER_CD;PD_CD";
        settings.CallbackRouteValues = new { Controller = "BUYER", Action = "BUYERCallBack" };
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.ControlStyle.Paddings.Padding = System.Web.UI.WebControls.Unit.Pixel(0);
        settings.ControlStyle.Border.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(0);
        settings.ControlStyle.BorderBottom.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(1);        
         //DIGUNAKAN UNTUK PEMANGGILAN SEARCH DATA
        settings.ClientSideEvents.BeginCallback = "onBeginCallbackBUYER";
        settings.ClientSideEvents.EndCallback = "OnEndCallback";

        settings.CommandColumn.Visible = true;
        settings.CommandColumn.Width = System.Web.UI.WebControls.Unit.Pixel(30);
        settings.CommandColumn.ShowSelectCheckbox = true;

        settings.SettingsEditing.Mode = GridViewEditingMode.Inline;

        settings.SettingsPager.Visible = true;
        settings.Settings.ShowFilterRowMenu = false;
        settings.Settings.ShowFilterRow = false;

        settings.SettingsPager.FirstPageButton.Visible = true;
        settings.SettingsPager.LastPageButton.Visible = true;
        settings.SettingsPager.ShowNumericButtons = true;
        settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
        settings.SettingsPager.PageSizeItemSettings.Visible = true;
        settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "15", "30", "50", "100" };
        settings.SettingsPager.PageSize = 15;
        settings.SettingsPager.PageSizeItemSettings.Caption = "View per page";

        settings.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.VerticalScrollableHeight = 420;

         // DXCOMMENT        settings.Width = 1250;: Configure grid's columns in accordance with data model fields         

       
        settings.CommandColumn.SetHeaderTemplateContent(c =>
        {
            if (c.Column.VisibleIndex == 0)
            {
                Html.DevExpress().CheckBox(
                    chckBox =>
                    {
                        chckBox.Name = "chckBox";
                        chckBox.Properties.ClientSideEvents.CheckedChanged = "function(s, e){ Gv_BUYER.SelectAllRowsOnPage(chckBox.GetChecked());}";
                    }
                ).Render();
            }
        }
        );
        
        settings.Columns.Add(
            column =>
            {
                column.FieldName = "BUYER_CD";
                column.Caption = "Buyer Code";
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.HeaderStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Top;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.Width = Unit.Pixel(60);
                column.SetDataItemTemplateContent(container =>
                {
                    Html.DevExpress().HyperLink(hlSettings =>
                    {
                        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                        hlSettings.ControlStyle.Font.Underline = true;
                        hlSettings.NavigateUrl = "javascript:void(0)";
                        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnHyperLinkClick('{0}','{1}');}}",

                            Convert.ToString(DataBinder.Eval(container.DataItem, "BUYER_CD")),
                            Convert.ToString(DataBinder.Eval(container.DataItem, "BUYER_NAME"))
                      );


                        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
                        //hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
                    }).Render();
                });
            });
        settings.Columns.Add(
          column =>
          {
              column.FieldName = "PD_CD";
              column.Caption = "PD Code";
              column.CellStyle.Wrap = DefaultBoolean.True;
              column.ColumnType = MVCxGridViewColumnType.TextBox;
              column.HeaderStyle.Wrap = DefaultBoolean.True;
              column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
              column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
              column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
              column.Width = Unit.Pixel(60);
          });
        settings.Columns.Add(
          column =>
          {
              column.FieldName = "BYAIR_PORT_LOADING_CD";
              column.Caption = "Port Loading By Air";
              column.CellStyle.Wrap = DefaultBoolean.True;
              column.ColumnType = MVCxGridViewColumnType.TextBox;
              column.HeaderStyle.Wrap = DefaultBoolean.True;
              column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
              column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
              column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
              column.Width = Unit.Pixel(105);
          });
        settings.Columns.Add(
        column =>
        {
            column.FieldName = "BYAIR_PORT_DISCHARGE_CD";
            column.Caption = "Port Discharge By Air";
            column.CellStyle.Wrap = DefaultBoolean.True;
            column.ColumnType = MVCxGridViewColumnType.TextBox;
            column.HeaderStyle.Wrap = DefaultBoolean.True;
            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            column.Width = Unit.Pixel(105);
        });
        settings.Columns.Add(
        column =>
        {
            column.FieldName = "PORT_LOADING_CD";
            column.Caption = "Port Loading By Sea";
            column.CellStyle.Wrap = DefaultBoolean.True;
            column.HeaderStyle.Wrap = DefaultBoolean.True;
            column.ColumnType = MVCxGridViewColumnType.TextBox;
            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            column.Width = Unit.Pixel(105);            
        });
          settings.Columns.Add(
          column =>
          {
              column.FieldName = "PORT_DISCHARGE_CD";
              column.Caption = "Port Discharge By Sea";
              column.CellStyle.Wrap = DefaultBoolean.True;
              column.HeaderStyle.Wrap = DefaultBoolean.True;
              column.ColumnType = MVCxGridViewColumnType.TextBox;
              column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
              column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
              column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
              column.Width = Unit.Pixel(105);              
          });
          settings.Columns.Add(
           column =>
           {
               column.FieldName = "COUNTRY";
               column.Caption = "Country";
               column.CellStyle.Wrap = DefaultBoolean.True;
               column.ColumnType = MVCxGridViewColumnType.TextBox;
               column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
               column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
               column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
               column.Width = Unit.Pixel(200);               
           });
          //settings.Columns.Add(
          // column =>
          // {
          //     column.FieldName = "IMPORTER_CD";
          //     column.Caption = "Importer Code";
          //     column.CellStyle.Wrap = DefaultBoolean.True;
          //     column.ColumnType = MVCxGridViewColumnType.TextBox;
          //     column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
          //     column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
          //     column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
          //     column.Width = Unit.Pixel(150);               
          // });
          settings.Columns.Add(
             column =>
             {
                 column.FieldName = "BUYER_NAME";
                 column.Caption = "Buyer Name";
                 column.CellStyle.Wrap = DefaultBoolean.True;
                 column.ColumnType = MVCxGridViewColumnType.TextBox;
                 column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                 column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Top;
                 column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                 column.Width = Unit.Pixel(550);
                 
             });     
                 
    }).Bind(Model).GetHtml()